/******************************************************************************/
/* System Level #define Macros                                                */
/******************************************************************************/

// pin asignment
#define	startButtonPin		GPIObits.GP3
#define	outPin			GPIObits.GP5
#define	outPinTRISIObit		TRISIObits.TRISIO5
#define	outDischargePin		GPIObits.GP4

// constants
#define maxVin_lowGain      1534 // I=3750mA: Vout=3,75V ((3.75V/5V)*1023 = 767.25 *2)
    /* full 3750mA cannot be captured, as the PIC measures VIN in respect to
     * GND. With a ref voltage of 1.5V and Vout 3.75, the full scale output
     * is 5.2V, the PIC only accepts max. 5V at ADC input.
     * Without ref voltage, the ADC result would be 767.25 @ 3750mA. As we run at
     * double frequency the wait counter is 1534.5. To get the 0.5, we increase
     * the counter each two full cycles (reached the 1534) by one. */

#define maxVin_highGain      3069 // I=2500mA: Vout=5V ((5V/5V)*1023 = 1023 *3)
/* By unsing times 3, we can run at the same frequency as for low gain.
 * Other things described above also apply: at 2500mA the full scale output
 * voltage would be 5V. (2,5A * 0,02Ohm * 100 = 5V). Substracting 1.5V Vref,
 * we can only get a result of 3.5V, which is 1750mA. */


/*TODO define/correct the cutt of voltage*/
#define VcuttOff_lowGain    85 // ~0,415V (0.41V/5V)*1023 = 84.9
#define VcuttOff_highGain    86 // ~0,42V (0.42V/5V)*1023 = 85.9

/******************************************************************************/
/* System Function Prototypes                                                 */
/******************************************************************************/

/* Custom oscillator configuration funtions, reset source evaluation
functions, and other non-peripheral microcontroller initialization functions
go here. */

void ConfigureOscillator(void); /* Handles clock switching/osc initialization */
