/******************************************************************************/
/* Files to Include                                                           */
/******************************************************************************/

#include <xc.h>         /* XC8 General Include File */

#include <stdint.h>         /* For uint8_t definition */
#include <stdbool.h>        /* For true/false definition */

#include "user.h"

/******************************************************************************/
/* User Functions                                                             */
/******************************************************************************/

/* <Initialize variables in user.h and insert code for user algorithms.> */

void InitApp(void)
{
    /* Initialize User Ports/Peripherals/Project here */

    /* Setup analog functionality and port direction */
    TRISIO = 0b00001111; // Setze GP0,GP1,GP2,GP3 als Eingang und GP4,GP5 als Ausgang
    GPIO = 0x00;

    // 125 Hz-Timer-Interupt einstellen
    OPTION_REG = 0b10000101;    // GPIO pull-ups disabled, internen Takt zhlen, Vorteiler zum Timer0, 1:64
    TMR0 = const_timer0;

    /* Initialize peripherals */
    CMCON = 0b00000111;  // Komperator ausschalten (GP0..GP2)
    ADFM = 1;   // ADC Daten rechtsbndig
    //ANSEL = 0b00100011;   // A/D speed F OSC/16, AN0, AN1 as analog input
    ANSELbits.ANS0 = 1;   // set as analog in
    ANSELbits.ANS1 = 1;   // set as analog in
    ANSELbits.ANS2 = 1;   // set as analog in
    ANSELbits.ANS3 = 0;   // set as digial I/O
    ANSELbits.ADCS = 0b101; // A/D speed F OSC/16
    ADON = 1;   // ADC einschalten
   

    /* Enable interrupts */
    INTCONbits.T0IE = 1;    // Timer0 interupt erlauben
//    INTCONbits.GIE = 1; // Interupt erlauben
    ei(); // enable all interrupts
//    di(); // disable all interrupts
}

/* run ADC and wait for completion */
void adc_read(void)
{
    ADCON0bits.GO = 1;  // start conversion
    while (ADCON0bits.GO_nDONE) // wait until done
        ;
}

